Subject: bug#55707: syslogd logging kernel messages slowly?

From: Luis Felipe <[email-masked]>
Date: Mon, 06 Jun 2022 16:31:26 +0000

Hey,

On Monday, June 6th, 2022 at 10:00, Ludovic Courtès <[email-masked]> wrote:

> > > I’m curious to see if it fixes your other boot-up issues, timeouts and
> > > all, Luis.
> > 

> > Do I simply put both definitions (inetutils/fdatasync and %default-syslog.conf) in my system config and reconfigure...? Because I tried that and nothing seems to change.
> > 

> > Or, once defined, do I have to use inetutils/fdatasync and %default-syslog.conf somewhere in my system packages...?
> 

> Sorry, I wasn’t clear. Let’s forget about ‘inetutils/fdatasync’ because
> it doesn’t have a measurable impact AFAICS.
> 

> In your config file, you first put:
> 

> --8<---------------cut here---------------start------------->8---
> (define %new-default-syslog.conf
> [...]
> --8<---------------cut here---------------end--------------->8---
> 

> Then, you replace ‘%desktop-services’ with:
> 

> --8<---------------cut here---------------start------------->8---
> 

> (modify-services %desktop-services
> (syslog-service-type
> _ => (syslog-configuration
> 

> (config-file %new-default-syslog.conf))))
> --8<---------------cut here---------------end--------------->8---

This does reduce the time it takes to get to GDM log in screen from GRUB. It used to be around 2:35 minutes, but now it takes around 1:25 minutes, which is nice.

Unfortunately, though, I still can't start a GNOME session. I logged in, and stared at a blackish screen for about 5 minutes. Nothing happened :)